Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain.client
Class MondrianXMLADefinitionImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.olap.domain.client.MondrianXMLADefinitionImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, Resource, MondrianXMLADefinition, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class MondrianXMLADefinitionImpl

extends ResourceImpl
implements MondrianXMLADefinition

Author:
  swood
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`MondrianXMLADefinitionImpl()`

Method Summary
`java.lang.String` | `getCatalog()`
`protected java.lang.Class` | `getImplementingItf()`
`ResourceReference` | `getMondrianConnection()`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setMondrianConnection(MondrianConnection connection)`
`void` | `setMondrianConnection(ResourceReference connectionReference)`
`void` | `setMondrianConnectionReference(java.lang.String referenceURI)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### MondrianXMLADefinitionImpl

    public MondrianXMLADefinitionImpl()

Method Detail

### getCatalog

    public java.lang.String getCatalog()

  Specified by:
    `getCatalog` in interface `MondrianXMLADefinition`

### getMondrianConnection

    public ResourceReference getMondrianConnection()

  Specified by:
    `getMondrianConnection` in interface `MondrianXMLADefinition`

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Specified by:
    `setCatalog` in interface `MondrianXMLADefinition`

### setMondrianConnection

    public void setMondrianConnection(MondrianConnection connection)

  Specified by:
    `setMondrianConnection` in interface `MondrianXMLADefinition`

### setMondrianConnection

    public void setMondrianConnection(ResourceReference connectionReference)

  Specified by:
    `setMondrianConnection` in interface `MondrianXMLADefinition`

### setMondrianConnectionReference

    public void setMondrianConnectionReference(java.lang.String referenceURI)

  Specified by:
    `setMondrianConnectionReference` in interface `MondrianXMLADefinition`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.